Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# tiff_read_support Struct Template Reference
[TIFF I/O]

`#include <tiff_io.hpp>`

List of all members.

## Detailed Description

### template<typename View>
struct boost::gil::tiff_read_support< View >

Determines whether the given view type is supported for reading.

## Public Member Functions

| BOOST_STATIC_CONSTANT (bool, is_supported=(detail::tiff_read_support_private< typename channel_type< View >::type, typename color_space_type< View >::type >::is_supported))
| BOOST_STATIC_CONSTANT (int, bit_depth=(detail::tiff_read_support_private< typename channel_type< View >::type, typename color_space_type< View >::type >::bit_depth))
| BOOST_STATIC_CONSTANT (int, color_type=(detail::tiff_read_support_private< typename channel_type< View >::type, typename color_space_type< View >::type >::color_type))

The documentation for this struct was generated from the following file:

- tiff_io.hpp